
import requests
import time
import datetime
from start_screen import start_screen
from sensor_values import sensor_dict
from uptime import uptime_to_days_hours

ip = "192.x.x.x"    #Add IP to ESP

start_screen(ip)  # Run "intro"

while True: #infinite loop

    url = f"http://{ip}/json" #url to esp JSON data
    json_request = requests.get(url=url)
    if json_request:
        print("Connected to ESP")
    else:
        print("Connection error")

    json_data = json_request.json() #getting json data from ESP

    esp_values = sensor_dict(json_data)
    uptime = json_data["System"]["Uptime"]  #From System

    now = datetime.datetime.now()   #getting clock data
    time_now = (now.strftime("%H:%M %Y-%m-%d")) #set clock variable

    print(esp_values)   #Printing out the value names to console. (Value name on ESP must be unique!!!)

    #######################################################################
    kwh = esp_values['Kwh/Day']    #add value names here...
    temp_outside = esp_values['TempOutside']  #add value names here...
    temp_bedroom = esp_values['TempBedroom']  #add value names here...
    soil_sensor = esp_values['Moisture']  #add value names here...
    #######################################################################

    sensor_dict(json_data)
    uptime = uptime_to_days_hours(uptime*60)

    url_post = f"http://{ip}/control?cmd=tft,txtfull,30,50,2,white,{time_now}" #add clock
    requests.post(url_post)

    url_post = f"http://{ip}/control?cmd=tft,txtfull,10,100,2,white,Outside: {temp_outside} C"
    requests.post(url_post)

    url_post = f"http://{ip}/control?cmd=tft,txtfull,10,125,2,white,Pool: {temp_bedroom} C"
    requests.post(url_post)


    url_post = f"http://{ip}/control?cmd=tft,txtfull,10,150,2,white,Kwh/day: {kwh} kwh"
    requests.post(url_post)


    url_post = f"http://{ip}/control?cmd=tft,txtfull,10,175,2,white,Moisture: {soil_sensor}"
    requests.post(url_post)

    url_post = f"http://{ip}/control?cmd=tft,txtfull,10,200,2,white,Uptime: {uptime}"   #add uptime
    requests.post(url_post)

    time.sleep(60) #paus 60 sec before repting













